package com.iamberry.app.face;

import java.util.List;

import com.iamberry.app.core.entity.Message;
import com.iamberry.app.core.entity.User;
import com.iamberry.app.core.serch.SerchParam;
import com.iamberry.wechat.core.entity.PageBean;

/**
 * LogService
 * 
 * @author LC
 * @date 2016年9月13日16:34:32
 */

public interface MessageService  {

	/**
	 * 获取用户列表信息
	 * @return
	 */
	public List<User> selectUser(PageBean page);
	
	/**
	 * 获取用户总条数
	 * @return
	 */
	public int selectUserCount(SerchParam params);

	
	/**
	 * 修改一条消息
	 * @return 影响的行数
	 */
	public int updateMessage(Message message);
	
	/**
	 * 添加一条消息
	 * @return 影响的行数
	 */
	public int insertMessage(Message message);
	
	/**
	 * 获取符合条件所有消息的总条数
	 * @return 所有的消息条数
	 */
	public int selectMessageCount(SerchParam params);
	
	/**
	 * 获取符合条件所有消息
	 * @return 所有的消息
	 */
	public List<Message> selectMessageRecoreds(PageBean page);

	
	
	/**
	 * 获取系统的所有消息	(user为空的)
	 * @param userid 用户id
	 * @return 用户下所有的消息
	 */
	public List<Message> selectSysMessageRecoreds();
	
	/**
	 * 根据信息id获取信息实体类
	 * @param id 信息id
	 * @return 信息实体类
	 */
	public Message selectUserMessageByid( Long id);
	/**
	 * 根据用户id获取该用户的所有消息
	 * @param userid 用户id
	 * @return 用户下所有的消息
	 */
	public List<Message> selectUserMessageRecoreds(String token);
	/**
	 * 获取用户消息
	 * @param userid 用户id 
	 * @param isread 1已读，2 未读
	 * @return 用户消息集合
	 */
	public int selectUserMessageByisread(String token, Long isread);

}
